# $Revision: 1.29 $, $Date: 2003/09/05 11:05:52 $
Summary:	Utility to clean up and pretty print HTML files
Summary(pl):	Narzdzie do porzdkowania kodu HTML
Name:		tidy
Version:	0.20030901
Release:	1
Epoch:		1
License:	distributable
Group:		Applications/Text
Source0:	http://tidy.sf.net/src/tidy_src.tgz
# Source0-md5:	c9356a292f48a0d1db9d726e95115b8a
Source1:	http://tidy.sf.net/docs/tidy_docs.tgz
# Source1-md5:	54ab968e177bc92495fce324c18f8b52
URL:	        http://tidy.sf.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tidy is utility for cleaning and pretty printing HTML files. It can
help in keeping your WWW sources in unified format (case of tags) and
proper encoding of different character sets.

%description -l pl
Tidy jest narzdziem sucym do czytelnego formatowania i
wywietlania rdowego kodu HTML. Uatwia utrzymanie porzdku w
rdach stron WWW, utrzymanie jednolitej konwecji (wielko liter w
tagach) oraz poprawnego kodowania rnych standardw znakw.

%package devel
Summary:	Tidy header files
Summary(pl):	Pliki nagwkowe biblioteki dla programu Tidy
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description devel
Tidy header files.

%description devel -l pl
Pliki nagwkowe biblioteki dla programu Tidy.

%package static
Summary:	Static Tidy library
Summary(pl):	Statyczna biblioteka Tidy
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description static
Static Tidy library.

%description static -l pl
Statyczna biblioteka Tidy.

%prep
%setup -q -n %{name} -b1

%build
cp -af build/gnuauto/* .
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc htmldoc/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tidy.spec,v $
Revision 1.29  2003/09/05 11:05:52  matkor
- Version 20030901. STBR for Ra

Revision 1.28  2003/08/26 08:32:54  qboosh
- fixed epoch issue after adding Epoch field

Revision 1.27  2003/08/24 22:01:05  migo
- epoch: 1

Revision 1.26  2003/08/12 23:54:16  ankry
- cosmetics

Revision 1.25  2003/07/11 09:37:18  qboosh
- added ldconfig, split devel into devel+static

Revision 1.24  2003/07/11 08:36:27  pascalek
- updated to 20030702
- TODO issues solved

Revision 1.23  2003/06/06 06:08:21  ankry
- cosmetics

Revision 1.22  2003/05/28 13:02:15  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:27:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/02/07 12:26:04  matkor
- Autoupgrade to 20030205 (still nedds ac/am stuff to be done correctly).

Revision 1.19  2003/01/14 18:51:10  matkor
- Version 20030101.

Revision 1.18  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.17  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.15  2002/01/18 02:15:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/08/19 16:54:42  kloczek
- spec adapterized,
- spec is now %%{debug} ready,
- added using rpm automation (do not pack in %install man pages).

Revision 1.13  2001/08/16 08:25:19  ziembor
 - updated version\n - change RPM versioning schema

Revision 1.10  2000/06/12 10:53:18  kloczek
- release 3.

Revision 1.9  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/06/06 14:44:16  kura
- updated to 30apr00
- adapterized

Revision 1.7  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.5  1999/12/11 15:18:25  kloczek
- release 2,
- added missing %%defattr().

Revision 1.4  1999/12/09 20:13:18  kloczek
- removed duplicated %%{_bindir}/tidy.

Revision 1.3  1999/12/09 19:51:46  kloczek
- cleanups (adapterized, added "rm -rf $RPM_BUILD_ROOT" on top %install).

Revision 1.2  1999/12/09 19:40:09  kravietz
- cleanup and fixes for PLD

Revision 1.1  1999/12/09 19:00:39  kravietz
- added to repo
740352d878e071d8ca4f811d31af4bd9  tidy.spec
